{
    "python.testing.unittestEnabled": false,
    "python.testing.pytestEnabled": true,
    "python.testing.pytestArgs": [
        "-c",
        "${workspaceRoot}/pytest.ini",
        "--junitxml=${workspaceRoot}/tests/test_result.xml",
        "-v", // increase verbosity
        // "-l", // show locals in tracebacks
        // "-x", // exit instantly on first error or failed test
        // "--ff", // run all tests but run the last failures first
        // "--color=yes", // color terminal output (yes/no/auto)
        "${workspaceRoot}/"
    ],
    "python.linting.pycodestyleEnabled": true,
    "python.linting.pycodestyleArgs": [
        "--config=${workspaceRoot}/.config/pep8.conf"
    ],
    "python.linting.pylintEnabled": true,
    "python.linting.pylintArgs": [
        "--rcfile=${workspaceRoot}/.config/pylint.conf"
    ],
    "python.formatting.autopep8Args": [
        "--global-config=${workspaceRoot}/.config/pep8.conf"
    ],
    "editor.formatOnSave": false,
    "files.exclude": {
        "**/.git": true,
        "**/.svn": true,
        "**/.hg": true,
        "**/CVS": true,
        "**/.DS_Store": true,
        "**/doc/html": true,
        "**/docs/html": true,
    },
    "git.ignoreLimitWarning": true,
    "python.testing.nosetestsEnabled": false,
}